/*
File:    dvda-author.h
Purpose: initializing macros/structures

dvda-author  - Author a DVD-Audio DVD

(C) Revised version with zone-to-zone linking Fabrice Nicol <fabnicol@users.sourceforge.net> 2007, 2008

The latest version can be found at http://dvd-audio.sourceforge.net

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef  DVDA_AUTHOR
#define  DVDA_AUTHOR
#include "commonvars.h"
#include "c_utils.h"

#define INITIALISE       print_commandline(argc, argv);\
						  DOUBLE_DOTS \
                          foutput("\n%s\n",     "    -----------------   DVD-A    author   -----------------");\
                          print_time();\
                          DOUBLE_DOTS \
                          foutput("\n%s\n\n", INFO_GNU);

#define EXIT_ON_RUNTIME_ERROR_VERBOSE(X)  EXIT_ON_ERROR_VERBOSE(X, DEFAULT)
#define EXIT_ON_RUNTIME_ERROR  EXIT_ON_ERROR(DEFAULT)


typedef struct
  {
    int ngroups;
    int *ntracks;
  } parse_t;




#endif // DVDA-AUTHOR_H_INCLUDED
